# handleTutorial | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function handleTutorial

- handleTutorial(tutorial: Tutorial ): Promise<boolean>

  Run through the specified tutorial if it hasn't been seen before and mark it as seen once done This will show a tutorial overlay if defined in the current `AwaitableUiHandler` The main menu will also get disabled while the tutorial is running

  #### Parameters

  - tutorial: Tutorial

    the `Tutorial` to play

  #### Returns Promise<boolean>

  a promise with result `true` if the tutorial was run and finished, `false` otherwise

  - Defined in src/tutorial.ts:129